/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/* You can add global styles to this file, and also import other style files */

@import '@libriciel/ls-bootstrap-5/src/scss/iparapheur/ip-bootstrap';
@import '@ng-select/ng-select/themes/default.theme.css';

// regular style toast
@import 'ngx-toastr/toastr';

@import 'styles/tables';
@import 'styles/tabs';
@import 'styles/form';
@import 'styles/modals';
@import 'styles/buttons';
@import 'styles/drag';
@import 'styles/overrides';
@import 'styles/ip_workflow_display';

// regular style toast
@import 'ngx-toastr/toastr';

// bootstrap style toast
//@import '~ngx-toastr/toastr-bs4-alert';


@font-face {
  font-family: 'Ubuntu';
  src: local('Ubuntu'), url(./assets/fonts/Ubuntu/Ubuntu-Regular.ttf) format("truetype");
}

@font-face {
  font-family: 'Ubuntu_Mono';
  src: local('Ubuntu_Mono'), url(./assets/fonts/Ubuntu_Mono/UbuntuMono-Regular.ttf) format("truetype");
}

html, body {
  height: 100%;
  padding: 0;
  margin: 0;
  font-size: 1rem;
  font-family: 'Ubuntu', 'Arial', sans-serif;
}

.text-monospace {
  font-family: 'Ubuntu_Mono', monospace;
}

.pointer {
  cursor: pointer;
}

.max-width-100 {
  max-width: 100%;
}

.max-width-60 {
  max-width: 60%;
}

.max-width-50 {
  max-width: 50%;
}

.no-pointer {
  cursor: initial;
}

.btn {
  .btn-icn + .btn-label {
    margin-left: 0.5em;
  }
}

.btn-no-focus:focus {
  outline: none;
  box-shadow: none;
}

.ls-danger {
  color: map_get($ls-color-map, "ls-danger-500");
}

.search-input {
  flex: 0 0 24rem;
}

.long-search-input {
  flex: 0 0 34rem;
}

.error-display {
  border: 1px solid map_get($ls-color-map, "ls-danger-200");
  background-color: map-get($ls-color-map, 'ls-danger-50');
  color: $danger;
}

/* Sticky top table */

.table-overflow {
  max-height: 20em;
  overflow-y: auto;
}

.table-scroll thead th {
  position: sticky;
  top: 0;
}

ol, ul, dl {
  margin-bottom: 0;
}

.borderless-ls-button,
.borderless-ls-button:disabled,
.borderless-ls-button:hover,
.borderless-ls-button:focus,
.borderless-ls-button:active {
  background-color: transparent !important;
  border: none !important;
}

.table-fixed {
  table-layout: fixed;
}

.table-text-overflow {
  thead, tbody {
    tr {
      th, td {
        overflow: hidden;
        text-overflow: ellipsis;
        div, span {
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }
}

input[type=checkbox] {
  margin-right: .5em;
}

.text-overflow-ellipsis {
  text-overflow: ellipsis;
}

a {
  text-decoration: none;
}
